> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corti.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> Retrieves a list of templates with optional filters for organization, language, and status.



## OpenAPI

````yaml /api-reference/auto-generated-openapi.yml get /templates/
openapi: 3.0.0
info:
  title: Corti API
  version: 2.0.0
servers:
  - url: https://api.{environment}.corti.app/v2/
    variables:
      environment:
        default: eu
        enum:
          - us
          - eu
security:
  - AuthorizationHeader:
      - bearer
tags:
  - name: Interactions
  - name: Facts
  - name: Documents
  - name: Codes
  - name: Recordings
  - name: Transcripts
paths:
  /templates/:
    get:
      tags:
        - Templates
      summary: List Templates
      description: >-
        Retrieves a list of templates with optional filters for organization,
        language, and status.
      operationId: templates_list
      parameters:
        - $ref: '#/components/parameters/Tenant-Name'
        - name: org
          in: query
          description: Filter templates by organization.
          schema:
            type: array
            description: Filter templates by organization.
            items:
              type: string
          style: form
          explode: true
        - name: lang
          in: query
          description: Filter templates by language.
          schema:
            type: array
            description: Filter templates by language.
            items:
              type: string
          style: form
          explode: true
        - name: status
          in: query
          description: Filter templates by their status.
          schema:
            type: array
            description: Filter templates by their status.
            items:
              type: string
          style: form
          explode: true
      responses:
        '200':
          description: List of Templates
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplatesListResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: RFC9457
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: RFC9457
      x-codeSamples:
        - lang: csharp
          label: C# .NET SDK
          source: |
            using Corti;

            var client = new CortiClient(
                "TENANT_NAME",
                CortiClientEnvironment.Eu,
                new CortiClientAuth.ClientCredentials("client_id", "client_secret")
            );
            await client.Templates.ListAsync(new TemplatesListRequest());
        - lang: javascript
          label: JavaScript SDK
          source: |
            import { CortiClient, CortiEnvironment } from "@corti/sdk";

            const client = new CortiClient({
                environment: CortiEnvironment.Eu,
                auth: {
                    clientId: "YOUR_CLIENT_ID",
                    clientSecret: "YOUR_CLIENT_SECRET"
                },
                tenantName: "YOUR_TENANT_NAME"
            });
            await client.templates.list();
components:
  parameters:
    Tenant-Name:
      name: Tenant-Name
      in: header
      description: >-
        Identifies a distinct entity within Corti's multi-tenant system. Ensures
        correct routing and authentication of the request.
      required: true
      example: base
      schema:
        type: string
        description: >-
          Identifies a distinct entity within Corti's multi-tenant system.
          Ensures correct routing and authentication of the request.
        example: base
  schemas:
    TemplatesListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          description: List of filtered templates
          items:
            $ref: '#/components/schemas/TemplatesItem'
    ErrorResponse:
      type: object
      required:
        - requestid
        - status
        - type
        - detail
      properties:
        requestid:
          type: string
        status:
          type: integer
        type:
          type: string
        detail:
          type: string
        validationErrors:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
    TemplatesItem:
      type: object
      required:
        - name
        - description
        - key
        - status
        - templateSections
        - translations
      properties:
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the template was updated.
          nullable: true
        name:
          type: string
          description: Name of the template.
        description:
          type: string
          description: Description of the template.
        additionalInstructions:
          type: string
          description: Instructions or context for all template sections.
          nullable: true
        key:
          type: string
          description: Unique key for the template.
        status:
          type: string
          description: Status of the template.
        documentationMode:
          $ref: '#/components/schemas/TemplatesDocumentationModeEnum'
        templateSections:
          type: array
          description: List of sections included in the template.
          items:
            $ref: '#/components/schemas/TemplatesSectionSorted'
        translations:
          type: array
          description: Available translations for the template.
          items:
            $ref: '#/components/schemas/TemplatesTranslation'
    TemplatesDocumentationModeEnum:
      type: string
      description: >-
        Configures the approach and underlying system prompt that govern how the
        LLM generates documentation.
      example: global_sequential
      enum:
        - global_sequential
        - routed_parallel
    TemplatesSectionSorted:
      type: object
      required:
        - sort
        - section
      properties:
        sort:
          type: integer
          description: Sort order of the section within the template.
        section:
          $ref: '#/components/schemas/TemplatesSection'
          type: object
          description: The section details.
    TemplatesTranslation:
      type: object
      required:
        - languageId
      properties:
        languageId:
          type: string
          description: Language code.
        name:
          type: string
          description: Localized name.
        description:
          type: string
          description: Localized description.
    TemplatesSection:
      type: object
      required:
        - name
        - key
        - description
        - defaultWritingStyle
        - type
        - translations
      properties:
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the section was updated.
          nullable: true
        name:
          type: string
          description: Name of the section.
        alternateName:
          type: string
          description: Alternate name for the section. Not used by LLM response.
        key:
          type: string
          description: Unique key for the section.
        description:
          type: string
          description: Description of the section.
        defaultWritingStyle:
          $ref: '#/components/schemas/TemplatesWritingStyle'
          type: object
          description: Default writing style for the section.
        defaultFormatRule:
          $ref: '#/components/schemas/TemplatesFormatRule'
          type: object
          description: Default format rule for the section.
        additionalInstructions:
          type: string
          description: Additional instructions or context for the section.
        content:
          type: string
          description: >-
            Used to guide input assignment in documentationMode:
            routed_parallel, and for section generation.
        documentationMode:
          $ref: '#/components/schemas/TemplatesDocumentationModeEnum'
        type:
          type: string
          description: Type of section.
        translations:
          type: array
          description: Available translations for the section.
          items:
            $ref: '#/components/schemas/TemplatesSectionTranslation'
    TemplatesWritingStyle:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Name of the writing style.
    TemplatesFormatRule:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Name of the format rule.
          nullable: true
    TemplatesSectionTranslation:
      type: object
      required:
        - languageId
      properties:
        languageId:
          type: string
          description: Language code.
        name:
          type: string
          description: Localized name.
          nullable: true
        description:
          type: string
          description: Localized description.
          nullable: true
  securitySchemes:
    AuthorizationHeader:
      type: http
      description: Input your token
      scheme: bearer

````